Skip to main content
PATCH
/
api
/
playground
/
sessions
/
{session_id}
/
data
Update Cells
curl --request PATCH \
  --url https://api.example.com/api/playground/sessions/{session_id}/data \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "updates": [
    {
      "row_index": 1,
      "column": "<string>",
      "value": "<unknown>"
    }
  ]
}
'
{
  "updated": 123,
  "row_count": 123,
  "column_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

session_id
string
required

Cookies

antidote_session
string | null

Body

application/json
updates
CellUpdate · object[]
required
Required array length: 1 - 5000 elements

Response

Successful Response

updated
integer
required
row_count
integer
required
column_count
integer
required